Bug 994398 - qcow2 backing file corrupt?
qcow2 backing file corrupt?
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 6.5
Assigned To: Ademar Reis
Virtualization Bugs
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 04:14 EDT by Peng Yong
Modified: 2016-04-26 11:58 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 14:49:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Yong 2013-08-07 04:14:45 EDT
Description of problem:

we have 7 computes running RDO 3.0.
some instances crashed after running several hours. we reboot the instance or rebuild them, can't recovery.

we checked the backing file:

# qemu-img info /home/nova//instances/7dfce16b-d494-4842-abd8-e6bd56567160/disk
image: /home/nova//instances/7dfce16b-d494-4842-abd8-e6bd56567160/disk
file format: qcow2
virtual size: 50G (53687091200 bytes)
disk size: 600M
cluster_size: 65536
backing file: /home/nova//instances/_base/74b1c2183d7d7022cc0426781ed35e4b74c83fb4

#md5sum /home/nova/instances/_base/74b1c2183d7d7022cc0426781ed35e4b74c83fb4
5c5e5618d5addde0e081e39978ad44ae  /home/nova/instances/_base/74b1c2183d7d7022cc0426781ed35e4b74c83fb4

the md5 checksum is wrong.

# qemu-img check /home/nova//instances/7dfce16b-d494-4842-abd8-e6bd56567160/disk
No errors were found on the image.

yesterday, we find 3 of 7 computes(0.5, 0.7, 0.8) have wrong backing file, and  reinstall the backing file, then it worked again.

today, some instances crashed again, and we recheck the md5sum of backing file, 3 server are wrong(0.3, 0.5, 0.7).
Comment 2 Haim 2013-08-07 08:32:14 EDT
Hi, 

please attach SOS report so we can go over all needed logs. 

Haim
Comment 3 Perry Myers 2013-11-16 01:05:34 EST
Hi, since this is an issue with using RDO on top of qemu-kvm-rhev, I am going to move this issue to the RHEL qemu-kvm component so the kvm team can take a look.
Comment 5 Ademar Reis 2013-11-18 18:37:56 EST
Peng Yong: we need some extra information to try to debug your problem.

Please attach to this bug report a SOS report and/or at least the version of qemu-kvm, kernel and libvirt packages:

   ($ rpm -qa | grep qemu)
   ($ rpm -qa | grep libvirt)
   ($ rpm -qa | grep kernel)
   ($ uname -a)

We also need the command line used to invoke qemu. This can be obtained from the output of ps:

   ($ ps auxww | grep qemu)


Finally, please keep in mind that we're not able to guarantee the timeliness or suitability of a resolution for issues entered here because this is not an official mechanism for requesting support.

If this issue is critical or in any way time sensitive to you or your organization, please raise a ticket through your regular Red Hat support channels to make certain  it receives the proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please
visit: https://www.redhat.com/support/process/production/#howto

Thank you for your report.
Comment 6 Ademar Reis 2014-05-28 14:49:25 EDT
Peng Yong: given the lack of details, I'm closing this bug for now. If you manage to provide the information requested in comment #5, please reopen it. Thanks.

Note You need to log in before you can comment on or make changes to this bug.